# Draw
TKDraw
Draw

# Draw_VMap Class Reference

`#include <Draw_VMap.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Draw_VMap (const Standard_Integer NbBuckets=1)
Standard_EXPORT Draw_VMap & | Assign (const Draw_VMap &Other)
Draw_VMap & | operator= (const Draw_VMap &Other)
Standard_EXPORT void | ReSize (const Standard_Integer NbBuckets)
Standard_EXPORT void | Clear ()
| ~Draw_VMap ()
Standard_EXPORT Standard_Boolean | Bind (const Standard_Integer &K, const Handle(Draw_Drawable3D)&I)
Standard_EXPORT Standard_Boolean | IsBound (const Standard_Integer &K) const
Standard_EXPORT Standard_Boolean | UnBind (const Standard_Integer &K)
Standard_EXPORT const Handle_Draw_Drawable3D & | Find (const Standard_Integer &K) const
const Handle_Draw_Drawable3D & | operator() (const Standard_Integer &K) const
Standard_EXPORT Handle_Draw_Drawable3D & | ChangeFind (const Standard_Integer &K)
Handle_Draw_Drawable3D & | operator() (const Standard_Integer &K)

## Private Member Functions

Standard_EXPORT | Draw_VMap (const Draw_VMap &Other)

## Constructor & Destructor Documentation

Standard_EXPORT Draw_VMap::Draw_VMap | ( | const Standard_Integer | NbBuckets = `1` | ) |

Draw_VMap::~Draw_VMap | ( |  | ) | `[inline]`

Standard_EXPORT Draw_VMap::Draw_VMap | ( | const Draw_VMap & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT Draw_VMap& Draw_VMap::Assign | ( | const Draw_VMap & | Other | ) |

Standard_EXPORT Standard_Boolean Draw_VMap::Bind | ( | const Standard_Integer & | K,
|  | const Handle(Draw_Drawable3D)& | I
| ) |

Standard_EXPORT Handle_Draw_Drawable3D& Draw_VMap::ChangeFind | ( | const Standard_Integer & | K | ) |

Standard_EXPORT void Draw_VMap::Clear | ( |  | ) |

Standard_EXPORT const Handle_Draw_Drawable3D& Draw_VMap::Find | ( | const Standard_Integer & | K | ) | const

Standard_EXPORT Standard_Boolean Draw_VMap::IsBound | ( | const Standard_Integer & | K | ) | const

void Draw_VMap::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Draw_VMap::operator new | ( | size_t | size | ) | `[inline]`

void* Draw_VMap::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Handle_Draw_Drawable3D& Draw_VMap::operator() | ( | const Standard_Integer & | K | ) | `[inline]`

const Handle_Draw_Drawable3D& Draw_VMap::operator() | ( | const Standard_Integer & | K | ) | const`[inline]`

Draw_VMap& Draw_VMap::operator= | ( | const Draw_VMap & | Other | ) | `[inline]`

Standard_EXPORT void Draw_VMap::ReSize | ( | const Standard_Integer | NbBuckets | ) |

Standard_EXPORT Standard_Boolean Draw_VMap::UnBind | ( | const Standard_Integer & | K | ) |

The documentation for this class was generated from the following file:

- Draw_VMap.hxx